Get a custom instruction
curl --request GET \
--url https://api.deepl.com/v3/style_rules/{style_id}/custom_instructions/{instruction_id} \
--header 'Authorization: <api-key>'{
"id": "68fdb803-c013-4e67-b62e-1aad0ab519cd",
"label": "Currency custom instruction",
"prompt": "Have currency symbols before the numerical value (e.g. $100, €100)",
"source_language": "en"
}Style Rules
Get a custom instruction
GET
/
v3
/
style_rules
/
{style_id}
/
custom_instructions
/
{instruction_id}
Get a custom instruction
curl --request GET \
--url https://api.deepl.com/v3/style_rules/{style_id}/custom_instructions/{instruction_id} \
--header 'Authorization: <api-key>'{
"id": "68fdb803-c013-4e67-b62e-1aad0ab519cd",
"label": "Currency custom instruction",
"prompt": "Have currency symbols before the numerical value (e.g. $100, €100)",
"source_language": "en"
}Documentation Index
Fetch the complete documentation index at: https://deepl-c950b784-add-custom-tags-cookbook.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Authentication with Authorization header and DeepL-Auth-Key authentication scheme. Example: DeepL-Auth-Key <api-key>
Path Parameters
The ID of the style rule list
The ID of the custom instruction
Response
Custom instruction details
All enabled custom instructions for the style rule list
Unique identifier for the custom instruction
Example:
"68fdb803-c013-4e67-b62e-1aad0ab519cd"
Name associated with the custom instruction
Example:
"Currency custom instruction"
Prompt of the custom instruction
Example:
"Have currency symbols before the numerical value (e.g. $100, €100)"
Optional source language of the custom instruction
Example:
"en"
⌘I